Subject: Re: Status of 2.5.X kernels on PPC Linux, anyone working with NPTL?

From: Aldy Hernandez <[email-masked]>
Date: Sun, 3 Nov 2002 10:55:09 -0800

On Sun, Nov 03, 2002 at 01:45:18PM -0500, Kevin B. Hendricks wrote:
> Hi,
>
> >I also vaguely recall that Geoff has a list of ABI changes pending.
> >Perhaps we should do all these at the same time.
> >
> Current violations of the abi for ppc linux include:
>
> - missing support for small structure return values in register pairs
> r3, r4

I thought support for this already in place, but gcc had the wrong
endianness in the registers.  If this is so, I already have a patch
for this (not commited though ;-)).

> think about a
> simultaneous push of patches to many of these projects to help them
> maintain
> support for ppc linux.

But but... I've been hacking gcc so long, I can only write in K&R :-).

Aldy

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/